Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: libgtk+2-devel
# END SourceDeps(oneline)
%define oldname python-gtkextra
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: Python bindings for gtkextra
Name: python-module-gtkextra
Version: 1.1.0
Release: alt1_37
# FIXME: the license is not quite clear, using the most restrictive license
# for this field.  See
# http://sourceforge.net/tracker/index.php?func=detail&aid=1941652&group_id=35371&atid=414148
License: GPLv2
URL: http://python-gtkextra.sourceforge.net
Source0: http://downloads.sourceforge.net/%{oldname}/%{oldname}-%{version}.tar.gz
Patch0: python-gtkextra-1.1.0-update.patch
Patch1: python-gtkextra-1.1.0-codegenmoved.patch
# https://sourceforge.net/tracker/?func=detail&aid=2805069&group_id=35371&atid=414148
Patch2: python-gtkextra-1.1.0-Makefile.patch
# https://sourceforge.net/tracker/?func=detail&aid=3172768&group_id=35371&atid=414148
Patch3: python-gtkextra-1.1.0-PyCObject.patch
# https://sourceforge.net/tracker/?func=detail&aid=3368113&group_id=35371&atid=414148
Patch4: python-gtkextra-1.1.0-G_TYPE_ITEM_ENTRY.patch
BuildRequires: libgtk+extra2-devel, python-module-pygtk-devel, python-devel
# For autoreconf
BuildRequires: autoconf, automake, libtool




%global _description\
This package provides a Python interface to the GtkExtra2 widget set for GTK2.
Source44: import.info
%add_findprov_skiplist %{python_sitelibdir}/gtk-2.0/gtkextra/_gtkextramodule.so
# internal?
%filter_from_requires /^python2..._gtkextra./d

%description 

%_description
%prep
%setup -n %{oldname}-%{version} -q
%patch0 -p1 -b .update
%patch1 -p1 -b .codegenmoved
%patch2 -p1 -b .Makefile
%patch3 -p1 -b .PyCObject
%patch4 -p1 -b .G_TYPE_ITEM_ENTRY
autoreconf -fi

%build

%configure --disable-numpy
%make_build

%install
# Install __init__.py and _config.py to %{python_sitelibdir}
make install DESTDIR=$RPM_BUILD_ROOT \
	pygtkextradir='$(pyexecdir)/gtk-2.0/gtkextra'

%files -n python-module-gtkextra
%doc AUTHORS ChangeLog COPYING README
%{python_sitelibdir}/gtk-2.0/gtkextra
%exclude %{python_sitelibdir}/gtk-2.0/gtkextra/_gtkextramodule.la
%{_libdir}/pkgconfig/python-gtkextra.pc
%{_datadir}/pygtk/2.0/defs/gtkextra*.defs

%changelog
* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_37
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_36
- update to new release by fcimport

* Sun Sep 02 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_35
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_34
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_33
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_32
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_29
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_28
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_27
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_26
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_25
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_24
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_23
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_22
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_21
- update to new release by fcimport

* Thu Jan 03 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_20
- initial fc import

